/**
 * Задача "Степени"
 * 1-я личная интернет-олимпиада сезона 2009-2010.
 * Автор задачи: Владимир Ульянцев, ulyantsev@rain.ifmo.ru
 * Автор решения: Ганеев Рустам, ganeev@rain.ifmo.ru
 *
 * Неправильное решение - без использования длинной арифметики
 */
import java.io.*;
import java.util.*;
import java.math.*;

public class pow_rg_wa implements Runnable {

	public static void main(String[] args) {
		new Thread(new pow_rg_wa()).start();
	}

	BufferedReader br;
	StringTokenizer st;
	PrintWriter out;
	boolean eof = false;
	Random rand = new Random(this.hashCode());

	public void run() {
		Locale.setDefault(Locale.US);
		try {
			br = new BufferedReader(new FileReader(FNAME + ".in"));
			out = new PrintWriter(FNAME + ".out");
			solve();
			out.close();
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(566);
		}
	}

	String nextToken() {
		while (st == null || !st.hasMoreTokens()) {
			try {
				st = new StringTokenizer(br.readLine());
			} catch (Exception e) {
				eof = true;
				return "0";
			}
		}
		return st.nextToken();
	}

	int nextInt() {
		return Integer.parseInt(nextToken());
	}

	Long nextLong() {
		return Long.parseLong(nextToken());
	}

	void myAssert(boolean u, String message) {
		if (!u){
			throw new Error(message);
		}
	}

	String FNAME = "pow";

	long k;
	long num;

	long less(int pow) {
		long left = 0, numb = num / 10, right = numb;
		while (right - left > 1) {
			long mid = (right + left) / 2;
			if ((long)Math.pow(mid, pow) >= numb) {
				right = mid;
			} else
				left = mid;
		}
		return left;
	}

	long more(int pow) {
		long left = 0, right = num;
		while (right - left > 1) {
			long mid = (right + left) / 2;
			if ((long)Math.pow(mid, pow) < num) {
				left = mid;
			} else
				right = mid;
		}
		return left;
	}

	private void solve() throws IOException {
		k = nextLong();
		long ans = 0;
		if (k == 1){
			out.print(11);
			return;
		}
		num = (long) Math.pow(10, k);
		int maxpow = (int) (Math.log(num - 1) / Math.log(2));
//		out.println(maxpow);
		//less(17);
		for (int i = 1; i <= maxpow; i++) {
			long p = more(i), t = less(i);
//			out.println(t + " " + p);
			ans += p - t;
		}
		out.print(ans);
	}
}

